(function($) {

var vInt=0;
var refresh=1; 
var interval=1000; 

jQuery.autocountdown = function () {
	$('.countdown2').countdown2(); 
	vInt=setInterval("$('.countdown2').countdown2();", interval); 
}
jQuery.fn.countdown2 = function (options) {
	var defaults = {  
		refresh:     1,		 
		interval:    1000, 
		cdClass:     'countdown2', 
		granularity: 4,

		label:    ['нд ', 'д ', 'ч ', 'м ', 'с'],
		units:    [604800, 86400, 3600, 60, 1]
	};
	if (options && options.label) {
		$.extend(defaults.label, options.label);
		delete options.label;
	}
    if (options && options.units) {
      $.extend(defaults.units, options.units);
      delete options.units;
    }
	$.extend(defaults, options);

	var pad = function (value, length) {
		value = String(value);
		length = parseInt(length) || 2;
		while (value.length < length)
			value = "0" + value;
		if (value<1) value = "00";
		return value;
	};

	var format_interval = function (timestamp) {
		var label = defaults.label;
		var units = defaults.units;
		var granularity = defaults.granularity;

		output = '';
		for (i=1; i<=units.length; i++) {
			value=units[i];
			if (timestamp >= value) {
				var val=pad(Math.floor(timestamp / value), 2);
				val = val>0 ? val : '00';
				output += val + label[i];
				timestamp %= value;
				granularity--;
			}
			else if (value==1) output += '00'; 

			if (granularity == 0)
				break;
		}

		if (output.length<3) output = '00:'+output;
		return output ? output : '00:00';
	}

	return this.each(function() {
		secs=$(this).attr('secs');
		$(this).html(format_interval(secs));
		secs--;

		if (secs<1) {
			$(this).attr('secs', '...');
			clearInterval(vInt);
			if (refresh)
				window.location.href = 'http://astronomika.mcdir.ru/queue';
		} else
			$(this).attr('secs', secs);

	});

}

	$.autocountdown(); 
})(jQuery);